package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hlf
 * @date 2023/4/27 16:00
 * 文件说明：部门考评计划内容
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDeptPlanContent extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 业务主键
	 */
	private String businessPlanId;

	/**
	 * 部门主键
	 */
	private String deptId;

	/**
	 * 部门名称
	 */
	private String deptName;

	/**
	 * 指标主键
	 */
	private String indicatorId;

	/**
	 * 指标名称
	 */
	private String indicatorName;

	/**
	 * 指标项主键
	 */
	private String indicatorItemId;

	/**
	 * 指标项名称
	 */
	private String indicatorItemName;

	/**
	 * 值
	 */
	private String targetValue;

	/**
	 * 审核状态
	 */
	private String auditStatus;

}
